C(1)

NOM
c - Distributeur générique de boissons (café, coca...)

SYNOPSIS
c [-s[nombre]] [-m[type]] [-e] [-g] [-T] [-q quantité] [--autre=boisson]

DESCRIPTION
Cette page documente la version GNU de c. c est un distributeur générique de boisson permettant de fournir sur la sortie standard un flux du breuvage désiré. Par défaut, c distribue du café au lait, sans sucre. Il s'agit d'un choix historique basé sur les préférences de l'auteur original. Le comportement du distributeur est contrôlé par des options, et une large palette d'autres boissons est disponible. Notez bien que toutes les combinaisons des options ne sont pas toujours heureuses en terme de goût, mais la vérification effectuée par c n'a qu'une portée syntaxique. Expérimentez à vos risques et périls.

OPTIONS

-s[nombre]
    Indique le nombre de sucres désirés. Par défaut, aucun sucre n'est inclus. Des valeurs excessivement grandes peuvent engendrer des effets de bord déplaisants, comme des caries et des surcharges pondérales. Si on n'indique pas de nombre, la valeur par défaut est un sucre.

-m[type]
    Détermine si l'on doit inclure du lait. Le comportement par défaut correspond à l'option cold. cold - Lait froid normal. hot - Lait chaud normal. frth - Crème. (Voir option -e pour le capuccino) none - Pas de lait. Recommandé pour ceux qui suivent un régime. goat (chèvre) - Faites preuve d'imagination.

-e  Option expresso. Un flux à haute pression est envoyé de force sur des grains fins noirs afin d'avoir un breuvage plus fort. Utilisez l'option -q avec modération pour éviter les tremblements et les palpitations (voir BOGUES).

-g  Café glacé. Pas besoin d'explication.

-T  Café turc. Le seul type de café que l'on fasse volontairement bouillir. Utilisez conjointement -s2 ou plus pour éviter les grimaces.

-q [quantité]
    Taille de la « tasse virtuelle » à remplir. L'échelle couverte est relativement arbitraire mais devrait répondre à l'essentiel des besoins... 1 dé à coudre. 2 tasse à expresso. 3 tasse à café normale. 4 chope. 5 chope d'administrateur système. 6 seau. L'utilisation de -q 6 est contre-indiquée avec n(1) à cause de dommages possibles des cloisons nasales, et un risque de noyade. La valeur par défaut est 4, sauf si une version béta du système d'exploitation est en test, auquel cas la valeur par défaut passe à 5. Sur Digital UNIX, la valeur par défaut est 6. Et vous en aurez besoin...

--autre=boisson
    Indiquer une autre boisson que le café. L'utilisation conjointe avec les autres options n'est pas recommandée, le comportement est indéfini.

BOGUES
Une surdose de caféine peut se produire avec des combinaisons inadéquates de certaines options (par exemple -e et de grandes valeurs pour -q). Si vous ressentez une accélération du rythme cardiaque, des difficultés d'accommodation visuelle, des tremblements des mains, ou un essoufflement prolongé, il est souhaitable d'arrêter d'employer ces options. Une version -d (décaféiné) était incluse dans les versions précédentes, mais a été supprimée à cause de menaces de poursuites judiciaires suite à une série de plaisanteries stupides.

AUTEUR
Nick Williams, New College, Oxford University. nickw@iname.com.

VOIR AUSSI
n(1)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 12 décembre 1998 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 c ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.